Bug 322518 - KCMInit crash
Summary: KCMInit crash
Status: RESOLVED WORKSFORME
Alias: None
Product: kde
Classification: Unclassified
Component: general (show other bugs)
Version: 4.10.5
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Unassigned bugs mailing-list
URL:
Keywords:
: 335223 335224 335225 335408 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-07-18 09:46 UTC by Stephan Peccini
Modified: 2018-12-15 03:44 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (3.63 KB, text/plain)
2015-02-18 12:24 UTC, András Korn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Peccini 2013-07-18 09:46:10 UTC
Application: kcminit_startup ()
KDE Platform Version: 4.10.5
Qt Version: 4.8.4
Operating System: Linux 3.9.9-302.fc19.x86_64 x86_64
Distribution: "Fedora release 19 (Schrödinger’s Cat)"

-- Information about the crash:
- What I was doing when the application crashed:
Every time I connect, kcminit crashes quite immediately; every time I come back from hibernation; every time I start again kcminit
problem appears after the first update I made after having migrated with fedup from F18 to F19
since the problem appears, I have erased my ~/.kde without any improvement

The crash can be reproduced every time.

-- Backtrace:
Application: KCMInit (kcminit_startup), signal: Aborted
Using host libthread_db library "/lib64/libthread_db.so.1".
81	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7fe61ced38c0 (LWP 2490))]

Thread 2 (Thread 0x7fe5fdf2d700 (LWP 2493)):
#0  0x00007fe618869b6d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fe615e010f4 in g_main_context_iterate.isra.22 () from /lib64/libglib-2.0.so.0
#2  0x00007fe615e0155a in g_main_loop_run () from /lib64/libglib-2.0.so.0
#3  0x00007fe6044d3d46 in gdbus_shared_thread_func () from /lib64/libgio-2.0.so.0
#4  0x00007fe615e25185 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#5  0x00007fe61b401c53 in start_thread (arg=0x7fe5fdf2d700) at pthread_create.c:308
#6  0x00007fe61887413d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7fe61ced38c0 (LWP 2490)):
[KCrash Handler]
#6  0x00007fe6187b4a19 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#7  0x00007fe6187b6128 in __GI_abort () at abort.c:90
#8  0x00007fe6187f4d47 in __libc_message (do_abort=do_abort@entry=2, fmt=fmt@entry=0x7fe6188fcb88 "*** Error in `%s': %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:196
#9  0x00007fe6187fc0e8 in malloc_printerr (ptr=<optimized out>, str=0x7fe6188fcbf8 "double free or corruption (fasttop)", action=3) at malloc.c:4916
#10 _int_free (av=0x7fe618b38780 <main_arena>, p=<optimized out>, have_lock=0) at malloc.c:3768
#11 0x00007fe61c43b4f8 in clear (this=<optimized out>) at /usr/include/QtCore/qcache.h:139
#12 ~QCache (this=<optimized out>, __in_chrg=<optimized out>) at /usr/include/QtCore/qcache.h:103
#13 ~KIconLoaderPrivate (this=0x2441210, __in_chrg=<optimized out>) at /usr/src/debug/kdelibs-4.10.5/kdeui/icons/kiconloader.cpp:168
#14 KIconLoader::~KIconLoader (this=0x2440d50, __in_chrg=<optimized out>) at /usr/src/debug/kdelibs-4.10.5/kdeui/icons/kiconloader.cpp:558
#15 0x00007fe61c43b629 in KIconLoader::~KIconLoader (this=0x2440d50, __in_chrg=<optimized out>) at /usr/src/debug/kdelibs-4.10.5/kdeui/icons/kiconloader.cpp:559
#16 0x00007fe6187b82a9 in __run_exit_handlers (status=0, listp=0x7fe618b386e8 <__exit_funcs>, run_list_atexit=run_list_atexit@entry=true) at exit.c:77
#17 0x00007fe6187b82f5 in __GI_exit (status=<optimized out>) at exit.c:99
#18 0x00007fe6187a0b7c in __libc_start_main (main=0x400800 <main(int, char**)>, argc=1, ubp_av=0x7ffffa036d98, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffffa036d88) at libc-start.c:292
#19 0x0000000000400831 in _start ()

Possible duplicates by query: bug 321465, bug 320526, bug 320128, bug 314055, bug 311589.

Reported using DrKonqi
Comment 1 Jekyll Wu 2013-11-08 23:18:25 UTC
*** Bug 327337 has been marked as a duplicate of this bug. ***
Comment 2 Christoph Feck 2014-05-22 22:26:47 UTC
*** Bug 335224 has been marked as a duplicate of this bug. ***
Comment 3 Christoph Feck 2014-05-22 22:32:56 UTC
*** Bug 335225 has been marked as a duplicate of this bug. ***
Comment 4 Christoph Feck 2014-05-22 22:33:34 UTC
*** Bug 335223 has been marked as a duplicate of this bug. ***
Comment 5 Christoph Feck 2014-05-27 20:40:38 UTC
*** Bug 335408 has been marked as a duplicate of this bug. ***
Comment 6 András Korn 2015-02-18 12:24:20 UTC
Created attachment 91151 [details]
New crash information added by DrKonqi

kcminit_startup () on KDE Platform 4.14.2 using Qt 4.8.6

- What I was doing when the application crashed:

Starting my session after running apt-get dist-upgrade to sid for the first time since 29 September 2014.

- Unusual behavior I noticed:

For a while, the folder widget that displays my "Desktop" folder appeared on the screen but it was garbled. Now it no longer appears and neither does the bottom panel. However, parts of the panel are definitely there because I can interact with them (for example, if I click where the mixer icon should be, the volume control sometimes appears).

But nothing really works and almost(?) all KDE applications crash immediately on starting.

Interestingly, downgrading to the earlier working versions didn't fix the problem.

-- Backtrace (Reduced):
#6  0x00007f0d66b3d107 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#7  0x00007f0d66b3e4e8 in __GI_abort () at abort.c:89
[...]
#9  0x00007f0d66b809de in malloc_printerr (action=1, str=0x7f0d66c6e1c8 "double free or corruption (fasttop)", ptr=<optimized out>) at malloc.c:4996
#10 0x00007f0d66b816e6 in _int_free (av=<optimized out>, p=<optimized out>, have_lock=0) at malloc.c:3840
#11 0x00007f0d68ddfe78 in clear (this=0x835bd0) at /usr/include/qt4/QtCore/qcache.h:139
Comment 7 Andrew Crouthamel 2018-10-31 04:02:51 UTC
Dear Bug Submitter,

This bug has been stagnant for a long time. Could you help us out and re-test if the bug is valid in the latest version? I am setting the status to NEEDSINFO pending your response, please change the Status back to REPORTED when you respond.

Thank you for helping us make KDE software even better for everyone!
Comment 8 Bug Janitor Service 2018-11-15 10:41:06 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 9 András Korn 2018-11-15 11:47:50 UTC
FWIW, I can't reproduce the crash at the moment.
Comment 10 Bug Janitor Service 2018-11-30 03:45:16 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 11 Bug Janitor Service 2018-12-15 03:44:20 UTC
This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!